/*
@licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2019 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as published by
the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "Uranium", "index.html", [
    [ "High Level Overview", "md_docs_overview.html", [
      [ "Core", "md_docs_overview.html#autotoc_md3", null ],
      [ "Backend", "md_docs_overview.html#autotoc_md4", null ],
      [ "Math", "md_docs_overview.html#autotoc_md5", null ],
      [ "MeshHandling", "md_docs_overview.html#autotoc_md6", null ],
      [ "Scene", "md_docs_overview.html#autotoc_md7", null ],
      [ "Settings", "md_docs_overview.html#autotoc_md8", null ],
      [ "View", "md_docs_overview.html#autotoc_md9", null ],
      [ "Toolkit Specifics", "md_docs_overview.html#autotoc_md10", null ],
      [ "Class Diagram", "md_docs_overview.html#autotoc_md11", null ]
    ] ],
    [ "Plugins in Uranium", "md_docs_plugins.html", [
      [ "Plugin Metadata", "md_docs_plugins.html#autotoc_md12", [
        [ "Plugin About Data", "md_docs_plugins.html#autotoc_md13", null ]
      ] ],
      [ "Plugin Types", "md_docs_plugins.html#autotoc_md14", null ],
      [ "Example Plugin Metadata", "md_docs_plugins.html#autotoc_md15", null ]
    ] ],
    [ "Rendering", "md_docs_rendering.html", [
      [ "Rendering Pipeline", "md_docs_rendering.html#autotoc_md16", null ],
      [ "Render Passes", "md_docs_rendering.html#autotoc_md17", null ],
      [ "SceneNode::render() versus Renderer::queueNode()", "md_docs_rendering.html#autotoc_md18", null ]
    ] ],
    [ "Translation Guide", "md_docs_translations.html", [
      [ "Mark strings as translatable in Python", "md_docs_translations.html#autotoc_md19", [
        [ "Use named arguments for string formatting", "md_docs_translations.html#autotoc_md20", null ],
        [ "String Placeholders and Semantic Tags", "md_docs_translations.html#autotoc_md21", null ],
        [ "Add extra context-markers for alt-key accelerated menu-items", "md_docs_translations.html#autotoc_md22", null ]
      ] ],
      [ "Mark a string as translatable in QML", "md_docs_translations.html#autotoc_md23", null ],
      [ "Extract the messages", "md_docs_translations.html#autotoc_md24", null ],
      [ "Theory on translation files", "md_docs_translations.html#autotoc_md25", null ],
      [ "Creating the PO files", "md_docs_translations.html#autotoc_md26", null ],
      [ "Creating the MO files & testing", "md_docs_translations.html#autotoc_md27", null ],
      [ "Finally", "md_docs_translations.html#autotoc_md28", null ]
    ] ],
    [ "Version Upgrade System", "md_docs_versionupgrade.html", null ],
    [ "Todo List", "todo.html", null ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
".html",
"classUM_1_1Extension_1_1Extension.html#a4a1f9b76ef751a18e2decd1ecec9dc31",
"classUM_1_1Mesh_1_1MeshBuilder_1_1MeshBuilder.html#a5e2dc0cce759a1d509a1afd2c9420091",
"classUM_1_1PluginRegistry_1_1PluginRegistry.html#a45f718f600fcdc51f5610f371d10faa7",
"classUM_1_1Scene_1_1SceneNode_1_1SceneNode.html#a9da8f8e86d4784c608756ed0674458ec",
"classUM_1_1Settings_1_1InstanceContainer_1_1InstanceContainer.html#af44a79104d777043ed7abdf36f93e980",
"classUM_1_1SortedList_1_1SortedList.html#a710e7492d7d219f4e1ebaf912eec0a6b",
"functions_q.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';